<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_pdist.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_pdist" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_pdist</refname>
    <refpurpose>Return the distance between any two rows in x.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   y = pdist (x)
   y = pdist (x, metric)
   y = pdist (x, metric_function)
   y = pdist (x, metric, metricarg, ...)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x:</term>
      <listitem><para> x is the n x d matrix representing q row vectors of size d</para></listitem></varlistentry>
   <varlistentry><term>y:</term>
      <listitem><para> output</para></listitem></varlistentry>
   <varlistentry><term>metric:</term>
      <listitem><para> metric is an optional argument specifying how the distance is  computed It can be any of the following ones, defaulting to  "euclidean"</para></listitem></varlistentry>
   <varlistentry><term>"euclidean":</term>
      <listitem><para>  Euclidean distance (default).</para></listitem></varlistentry>
   <varlistentry><term>"seuclidean":</term>
      <listitem><para>  Standardized Euclidean distance. Each coordinate in the sum of squares is inverse weighted by the sample variance of that  coordinate.</para></listitem></varlistentry>
   <varlistentry><term>"mahalanobis":</term>
      <listitem><para> Mahalanobis distance: see also mahalanobis.</para></listitem></varlistentry>
   <varlistentry><term>"cityblock":</term>
      <listitem><para> City Block metric, aka Manhattan distance.</para></listitem></varlistentry>
   <varlistentry><term>"minkowski":</term>
      <listitem><para> Minkowski metric.  Accepts a numeric parameterp: for p=1  this is the same as the cityblock metric, with p=2 (default) it   is equal to the euclidean metric.</para></listitem></varlistentry>
   <varlistentry><term>"correlation":</term>
      <listitem><para>  One minus the sample correlation between points (treated as  sequences of values).</para></listitem></varlistentry>
   <varlistentry><term>"spearman":</term>
      <listitem><para>  One minus the sample Spearman's rank correlation between  observations, treated as sequences of values.</para></listitem></varlistentry>
   <varlistentry><term>"hamming":</term>
      <listitem><para> Hamming distance: the quote of the number of coordinates that differ.</para></listitem></varlistentry>
   <varlistentry><term>"jaccard":</term>
      <listitem><para> One minus the Jaccard coefficient, the quote of nonzero coordinates that differ.</para></listitem></varlistentry>
   <varlistentry><term>"chebychev":</term>
      <listitem><para>  Chebychev distance: the maximum coordinate difference.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Return the distance between any two rows in x.
   </para>
   <para>
The output is a dissimilarity matrix formatted as a row vector
y, (n-1)*n/2 long, where the distances are in
the order [(1, 2) (1, 3) ... (2, 3) ... (n-1, n)].  You can
use the squareform function to display the distances between
the vectors arranged into an nxn matrix.
   </para>
   <para>
metric is an optional argument specifying how the distance is
computed. It can be any of the following ones, defaulting to
"euclidean", or a user defined function that takes two arguments
x and y plus any number of optional arguments,
where x is a row vector and and y is a matrix having the
same number of columns as x.  metric returns a column
vector where row i is the distance between x and row
i of y. Any additional arguments after the metric
are passed as metric (x, y, metricarg1,  metricarg2 ...).
   </para>
   <para>
Predefined distance functions are:
   </para>
   <para>
   </para>
   <para>
"
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// Compute the  Euclidean distance.
X = rand(100, 5,"norm");
D = nan_pdist(X,'euclidean');

// Compute the Euclidean distance with each coordinate difference scaled by the standard deviation.
Dstd = nan_pdist(X,'seuclidean');
   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="nan_linkage">nan_linkage</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>H. Nahrstaedt - 2011</member>
   <member>Francesco Potortïs  pot at gnu.org</member>
   </simplelist>
</refsection>
</refentry>
